summaryrefslogtreecommitdiff
path: root/snapshots/coq/build
diff options
context:
space:
mode:
authorBrian Campbell2018-07-10 19:54:38 +0100
committerBrian Campbell2018-07-10 19:54:38 +0100
commita63b240d23701338e326a420bcaadc83f4370af0 (patch)
tree263dea8af6e558bd60619fa311eeb150b742318f /snapshots/coq/build
parent705ce9aa335f221267b6c8f005b2037b45a6dbe9 (diff)
Coq MIPS snapshot
Diffstat (limited to 'snapshots/coq/build')
-rwxr-xr-xsnapshots/coq/build19
1 files changed, 19 insertions, 0 deletions
diff --git a/snapshots/coq/build b/snapshots/coq/build
new file mode 100755
index 00000000..e672912e
--- /dev/null
+++ b/snapshots/coq/build
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+if [ ! -d mips ]; then
+ echo Run clean from the coq directory
+ exit 1
+fi
+
+if [ ! -d ../bbv ]; then
+ echo 'Check out a copy of https://github.com/mit-plv/bbv in the parent directory and build it.'
+ exit 1
+fi
+
+set -ex
+cd lib/coq
+make
+cd ../../mips
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail mips_extras.v
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail mips_types.v
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail mips.v